<?php

/**
 * Fonction affichant les messages de retour des traitements site lorsqu'elle est interrogée.
 */
function retourneMessage($type_message,$num_message) {
	if ($type_message=="succes" || $type_message=="erreurs") {
		if (isset($_SESSION) && !empty($_SESSION['pseudo_utilisateur'])) {
			$pseudo_utilisateur=$_SESSION['pseudo_utilisateur'];
		}
		else {
			$pseudo_utilisateur="visiteur";
		}
		$liste_messages = array (
			"succes" => array(
				1 => "<p class=\"message_succes\">Succès : alias virtuel créé avec succès.</p>",
				2 => "<p class=\"message_succes\">Succès : alias virtuel modifiés avec succès.</p>",
				3 => "<p class=\"message_succes\">Succès : alias virtuel supprimé avec succès.</p>",
				4 => "<p class=\"message_succes\">Succès : utilisateur changé en ".$pseudo_utilisateur." avec succès.</p>",
				5 => "<p class=\"message_succes\">Succès : domaine créé avec succès.</p>",
				6 => "<p class=\"message_succes\">Succès : domaine modifiés avec succès.</p>",
				7 => "<p class=\"message_succes\">Succès : domaine supprimé avec succès.</p>",
				8 => "<p class=\"message_succes\">Succès : domaine défini par défaut avec succès.</p>",
				9 => "<p class=\"message_succes\">Succès : l'entrée de liste noire destiataires a été créée avec succès.</p>",
				10 => "<p class=\"message_succes\">Succès : l'état de l'entrée de liste noire destiataires a été modifié avec succès.</p>",
				11 => "<p class=\"message_succes\">Succès : l'entrée de liste noire destinataires a été supprimée avec succès.</p>",
				12 => "<p class=\"message_succes\">Succès : l'entrée de liste noire expéditeurs a été créée avec succès.</p>",
				13 => "<p class=\"message_succes\">Succès : l'état de l'entrée de liste noire expéditeurs a été modifié avec succès.</p>",
				14 => "<p class=\"message_succes\">Succès : l'entrée de liste noire expéditeurs a été supprimée avec succès.</p>",
				15 => "<p class=\"message_succes\">Succès : Vous avez bien été déconnecté.</p>"),
			"erreurs"  => array(
				1 => "<p class=\"message_erreur\">Erreur : aucun alias virtuel supprimé.</p>",
				2 => "<p class=\"message_erreur\">Erreur : aucun alias virtuel créé car une donnée est erronée ou manquante.</p>",
				3 => "<p class=\"message_erreur\">Erreur : L'alias virtuel est déjà existant.</p>",
				4 => "<p class=\"message_erreur\">Erreur : Code d'erreur générique (HY000) signifiant probablement que la base SQLite n'est pas accessible en écriture. Il faut que la base et le répertoire <i>bdd</i> appartiennent à <i>www-data</i>.</p>",
				5 => "<p class=\"message_erreur\">Erreur : aucun domaine supprimé.</p>",
				6 => "<p class=\"message_erreur\">Erreur : aucun domaine créé car une donnée est erronée ou manquante.</p>",
				7 => "<p class=\"message_erreur\">Erreur : le domaine est déjà existant.</p>",
				8 => "<p class=\"message_erreur\">Erreur : le domaine par défaut n'a pas été modifié.</p>",
				9 => "<p class=\"message_erreur\">Erreur : l'entrée de liste noire destinataires n'a pas été ajouté car une donnée est erronée ou manquante.</p>",
				10 => "<p class=\"message_erreur\">Erreur : l'état de l'entrée de liste noire destinataires n'a pas été modifié.</p>",
				11 => "<p class=\"message_erreur\">Erreur : l'entrée de liste noire destinataires n'a pas été supprimée.</p>",
				12 => "<p class=\"message_erreur\">Erreur : l'entrée de liste noire destinataires n'a pas été ajouté car elle est déjà existante.</p>",
				13 => "<p class=\"message_erreur\">Erreur : l'entrée de liste noire expéditeurs n'a pas été ajouté car une donnée est erronée ou manquante.</p>",
				14 => "<p class=\"message_erreur\">Erreur : l'état de l'entrée de liste noire expéditeurs n'a pas été modifié.</p>",
				15 => "<p class=\"message_erreur\">Erreur : l'entrée de liste noire expéditeurs n'a pas été supprimée.</p>",
				16 => "<p class=\"message_erreur\">Erreur : l'entrée de liste noire expéditeurs n'a pas été ajouté car elle est déjà existante.</p>",
				17 => "<p class=\"message_erreur\">Erreur : Identifiant ou mot de passe incorrecte.</p>",
				18 => "<p class=\"message_erreur\">Erreur : Vous n'avez pas les privilèges nécessaires.</p>",
				19 => "<p class=\"message_erreur\">Erreur : Erreur non gérée.</p>")
		);
		
		$num_message=htmlspecialchars($num_message);
		
		if (isset($liste_messages[$type_message][$num_message])) {
			echo $liste_messages[$type_message][$num_message];
		}
		else {
			echo $liste_messages['erreurs']['19'];
		}
	}
}

?>