<?php

/**
* Page d'accueil du portail.
* Impose une authentification du visiteur pour continuer.
* Redirige les tentative d'identification pour traitement et test de légitimité.
*/

require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/messages/messages.php");

?>

<div id="contenu" class="contenu">
	<div id="contenu_auth">
		  <form method="post" action="/services/traitements/utilisateurs/identification.php">
				<div class="form-group">
					<label for="identifiant">Votre nom d'utilisateur :</label>
					<input type="email" name="identifiant" id="identifiant" required/>
				</div>
				<div class="form-group">
					<label for="mdp">Votre mot de passe :</label>
					<input type="password" name="mdp" id="mdp" required/>
				</div>
				<input class="btn btn-default" type="submit" value="envoyer"/>
			</form>
			</br>
			<table id="authentification">
				<form method="post" action="/services/traitements/utilisateurs/identification.php">
					<tr>
						<td><label for="identifiant">Votre nom d'utilisateur :</label><br/></td>
						<td><input type="email" name="identifiant" id="identifiant" required/></td>
					</tr>
					<tr>
						<td><label for="mdp">Votre mot de passe :</label><br/></td>
						<td><input type="password" name="mdp" id="mdp" required/></td>
					</tr>
					<tr>
						<td><input class="envoyer" type="submit" value="envoyer"/></td>
					</tr>
				</form>
			</table>

		<?php

		/**
		* Affichage d'une bannière d'état sur l'action précedemment effectuée.
		*/
		if (isset($_GET['erreur']) && !empty($_GET['erreur'])) {
			retourneMessage('erreurs',$_GET['erreur']);
		}
		elseif (isset($_GET['succes']) && !empty($_GET['succes'])) {
			retourneMessage('succes',$_GET['succes']);
		}

		?>

	</div>
</div>
